Genivia - isapistreambuf Class Reference

|  | Home | Documentation | isapistreambuf Class Reference updated Mon Feb 22 2016 |

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
isapistreambuf Class Reference

`#include <isapistream.h>`

Inheritance diagram for isapistreambuf:
[legend]
Collaboration diagram for isapistreambuf:
[legend]

## Public Member Functions
| isapistreambuf (EXTENSION_CONTROL_BLOCK *pECB)
| ~isapistreambuf ()
EXTENSION_CONTROL_BLOCK * | ECB ()

## Protected Member Functions
virtual int | sync ()
| flush contents to isapi More...
virtual int | overflow (int ch)
| flush contents and write ch More...
virtual int | underflow ()
int | showmanyc ()

## Protected Attributes
EXTENSION_CONTROL_BLOCK * | _pECB
| see ISAPI documentation for details More...
char | _obuf [1024]
| output buffer More...
char * | _ibuf
| input buffer More...
unsigned int | _ibuflen
| length of input buffer. More...
unsigned int | _cbTotalBytes
| total input bytes in the request. More...
unsigned int | _cbRead
| total bytes read from ECB already. More...

## Detailed Description

a streambuf wrapper for the ISAPI-Extension control block.

## Constructor & Destructor Documentation

isapistreambuf::isapistreambuf | ( | EXTENSION_CONTROL_BLOCK * | pECB | ) |

constructor

isapistreambuf::~isapistreambuf | ( |  | ) |

destructor

## Member Function Documentation

EXTENSION_CONTROL_BLOCK * isapistreambuf::ECB | ( |  | ) |

int isapistreambuf::overflow | ( | int | ch | ) |
| protectedvirtual

flush contents and write ch

int isapistreambuf::showmanyc | ( |  | ) |
| inlineprotected

int isapistreambuf::sync | ( |  | ) |
| protectedvirtual

flush contents to isapi

int isapistreambuf::underflow | ( |  | ) |
| protectedvirtual

## Member Data Documentation

unsigned int isapistreambuf::_cbRead
| protected

total bytes read from ECB already.

unsigned int isapistreambuf::_cbTotalBytes
| protected

total input bytes in the request.

char* isapistreambuf::_ibuf
| protected

input buffer

unsigned int isapistreambuf::_ibuflen
| protected

length of input buffer.

char isapistreambuf::_obuf[1024]
| protected

output buffer

EXTENSION_CONTROL_BLOCK* isapistreambuf::_pECB
| protected

see ISAPI documentation for details

The documentation for this class was generated from the following files:

- isapistream.h
- isapistream.cpp